package com.propertyManagement.business.service;

import com.propertyManagement.business.domain.WxUser;
import com.propertyManagement.business.domain.vo.WxUserVo;
import com.propertyManagement.business.domain.bo.WxUserBo;
import com.propertyManagement.common.core.page.TableDataInfo;
import com.propertyManagement.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 微信用户Service接口
 *
 * @author liushuai
 * @date 2025-05-13
 */
public interface IWxUserService {

    /**
     * 查询微信用户
     */
    WxUserVo queryById(Long id);

    /**
     * 查询微信用户列表
     */
    TableDataInfo<WxUserVo> queryPageList(WxUserBo bo, PageQuery pageQuery);

    /**
     * 查询微信用户列表
     */
    List<WxUserVo> queryList(WxUserBo bo);

    /**
     * 新增微信用户
     */
    Boolean insertByBo(WxUserBo bo);

    /**
     * 修改微信用户
     */
    Boolean updateByBo(WxUserBo bo);

    /**
     * 校验并批量删除微信用户信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
